Package pyplusplus :: Package utils :: Class exposed_decls_db_t

# type exposed_decls_db_t

source code

    object --+
             |
            exposed_decls_db_t

Nested Classes
row_t

Instance Methods

__init__(self) | source code

save(self, fpath) | source code

load(self, fpath) | source code

is_exposed(self, decl) | source code

update_decls(self, global_ns) | source code

register_decls(self, global_ns, special_decls) register decls in the database | source code

Class Variables
| DEFAULT_FILE_NAME = ``'``exposed_decl.pypp.txt``'``

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### register_decls(self, global_ns, special_decls)

source code

register decls in the database

global_ns - reference to the global namespace object special_decls - set of declarations, which were exposed, even so they were not ``included``. For example std containers.